Users

Create a user

POST/api/users

Creates a user account with the supplied username, password, and role.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Request body

NameTypeDescription
idstringUnique identifier of the resource.
passwordrequiredstringPassword used to authenticate the account.
rolerequiredenum<string>Permission role assigned to the user.
Options: admin, user, view-only
usernamerequiredstringUsername of the account.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
idrequiredstringUnique identifier of the resource.
rolerequiredstringPermission role assigned to the user.
usernamerequiredstringUsername of the account.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL